<?php

//$nompaquete=$_POST['nompaquete'];

//$precio=$_POST['precio'];

$idpaquete=$_POST['idpaquete'];

$nompaquete=$_POST['nombre'];

//$precio=$_POST['precio'];
$precio=0.00;

//$costo=$_POST['precio'];



include ("conexion.php");



$folio= $idpaquete;



?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">

<head>

<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />

<title>UCA :.</title>

<link href="ucaestilos.css" rel="stylesheet" type="text/css" />

<style type="text/css">

<!--

body {

	background-color: #CCCCCC;

}

-->

</style></head>



<body>

<table width="1000" border="0" align="center" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF">

  <tr>

    <td><img src="img/top03.jpg" width="1000" height="90" /></td>

  </tr>

  <tr>

    <td><br />

    <table width="950" border="0" align="center">

        <tr>

          <td><table width="95%" border="0" align="center" cellspacing="0">

            <tr>

              <td width="22%"><hr /></td>

              <td width="57%" align="center"><span class="style7">Paquete <?php echo $nompaquete;?> </span></td>

              <td width="21%"><hr /></td>

            </tr>

          </table>

            <br />

            <p>

              <?php



$claves=$_POST['idprod'];

$cantidad=$_POST['cantidad'];



echo "<table align='center' cellpadding='2' class='tablaBordes' width='800'>";
echo "<tr class='tablaCabecera' align='center'>";

echo "<td>";
echo " ID ";
echo "</td>";

echo "<td>";
echo "Nombre";
echo "</td>";

echo "<td>";
echo "Clasificaci&oacute;n";
echo "</td>";

echo "<td>";
echo "&nbsp;Costo&nbsp;";
echo "</td>";

			
/*
echo "<td>";
echo "Precio Vta";
echo "</td>";
*/

echo "<td>";
echo "Presentaci&oacute;n";
echo "</td>";

echo "<td>";
echo "Cantidad";
echo "</td>";


echo "</tr>";
for($x=0; $x < sizeof($claves); $x++)
{
include ("conexion.php");

			$query="SELECT clave,nombre,clasificacion,costounidad,idPresentacion FROM productos Where clave='$claves[$x]'";
			$result=mysql_query($query,$conex) or die ("No se consultaron los productos");
			$numero_filas=mysql_num_rows($result);
			$numero_campos= mysql_num_fields($result);
			while($fila = mysql_fetch_array($result))
			{
				echo "<tr class='tablaBordes'>";

				//CONSULTO NOMBRE DE LA PRESENTACION
				$cons2="SELECT presentacion FROM presentaciones WHERE idPresentacion='".$fila[4]."'";
				$res2=mysql_query($cons2,$conex) or die ("No consulto nombre de presentacion");
				$presen=mysql_result($res2,0,'presentacion');

				//FOR DE LOS CAMPOS BUSCADOS
				for ($i=0;$i< $numero_campos;$i++)
				{
					if($i==4){}
					else
					{
						if($i==0 or $i==3){echo "<td class='style1' align='center'>";}
						else{echo "<td class='style1'>";}
						if($i==1){echo utf8_encode($fila[1]);}
						else {echo $fila[$i];}
						echo "</td>";
					}
				}

				//IMPRIMO PRESENTACION
				echo "<td class='style1'>";
				echo $presen;
				echo "</td>";

				//CANTIDAD
				echo "<td class='titulo' bgcolor='#999999'  align='center'>";
				echo $cantidad[$x];
				echo "</td>";

				//OBTENER EL COSTO DEL PAQUETE
				$precioprod=$fila[3]*$cantidad[$x];
				//$costo=$costo+$precioprod;

				//UPDATE DE LA TABLA

				$cons3="UPDATE contenido_paquete SET cantidad='".$cantidad[$x]."' WHERE idPaquete='$folio' and clave='".$fila[0]."'";

				$res3=mysql_query($cons3,$conex) or die ("No se realizó la actualizacion en contenido_paquete");



			}//

			//INSERCION DEL CONTENIDO DEL PAQUETE EN LA BASE DE DATOS

			//$cons3="INSERT INTO contenido_paquete (idPaquete,clave,cantidad) VALUES ('$folio','$claves[$x]','$cantidad[$x]')";

			//$res3=mysql_query($cons3,$conex) or die ("No se realizó la insercion en contenido_paquete");

			



echo "</tr>";

}

echo "</table>";

//ACTUALIZACIÓN DEL PAQUETE

$cons31="UPDATE paquetes SET nompaquete='$nompaquete',costo='$precio' WHERE idPaquete='$idpaquete'";

$res31=mysql_query($cons31,$conex) or die ("No se realizó la actualizacion del paquete");

?>

            </p>

            <table width="35%" border="0" align="center" cellspacing="2">

              <tr>

                <td width="51%"><div align="center"><span class="style5">Precio de Venta: $ </span><span class="style3"> <?php printf ("%.2f", $precio);?></span></div></td>

              </tr>

            </table>            

          </td>

        </tr>

      </table>

      <table width="173" border="0" align="center" cellspacing="10">

        <tr>

          <td width="55" valign="top">

          <div align="center">

                <p>

                  <input name="Submit" type="button" class="botonDefault" value="Imprimir" onClick="javascript:print()">

                </p>

              </div>

          </td>

          <td width="84"><form id="form1" name="form1" method="post" action="main.php?a=32">

              <div align="center">

                <p>

                  <input name="Submit2" type="submit" class="botonDefault" value="Volver a paquetes" />

                </p>

              </div>

          </form></td>

        </tr>

      </table>

      <table width="100%" border="0">
<tr>
        <td height="26" style="background-color:#0D3356;">
        <div align="center" id="noimprimible">
          <table width="99%" border="0" align="center" cellpadding="2" cellspacing="0">
            <tr>
              <td align="center" class="style8">Desarrollado para la Universidad Cuauht&eacute;moc por <a href="http://www.upweb.mx" target="_blank"><img src="img/webmaster.svg" style="height:16px; vertical-align:bottom;"></a></td>
            </tr>
          </table>
        </div></td>
        </tr>

      </table></td></tr>

</table>

</body>

</html>

